package no.ntnu.item.router;

/**
 * A class for defining certain application-specific constants
 * 
 * @author Kristian Haugene
 * 
 */
public class Constants {

	/** Determines WebServer address */
	public final static String WEB_SERVER_ADDR = "click22.item.ntnu.no";
	
	/** Determines WebServer port */
	public final static int WEB_SERVER_PORT = 23500;
	
	/** Determines the time out limit for Silverlight sessions, older gets removed */
	public final static Long SESSION_INACTIVE_LIMIT = 150000L;
	
	/** Path where the GUI data should be written */
	public final static String WEB_GUI_XML_PATH = "/var/www/data/webUi.xml";
	
	/** Indicates how long time we will give Click to reduce the rate before we try new parameters, in seconds */
	public final static Integer CLICK_CHANGE_INTERVAL = 10;
	
	/** Path to Click handler where we write what streams to control */
	public final static String CLICK_HANDLER_PATH = "/click/TcpWindowReWriteElement/serviceSessions";
	
	//TODO REMOVE
//	public final static String CLICK_HANDLER_PATH = "/home/bjorn/Documents/hei.txt";

}
