package no.ntnu.item.batchSqlInsert;


/**
 * Class for parsing log entries to sql queries
 * 
 * @author Kristian Haugene
 * 
 */
public class Parser {

	/**
	 * Takes a string input, parses it to a sql INSERT query
	 * 
	 * @param logEntry
	 * @param date the date from the logfile currently being read. ddmmyy
	 * @return sql INSERT query
	 */
	public String getSqlInsertQueryFromLogEntry(String logEntry, String date) {

		// Split the logEntry at ";" character
		String[] parameters = logEntry.split(";");
		
		String query = "INSERT INTO `statistics`.`logEntry` " +
				"(`entryNumber`, `seqNumber`, `hexClientId`, `logDate`, `humanReadableTimeWithMillis`, `unixTimeWithMillis`, `event`, `eventMessage`, `playState`, `fullScreen`, `clientId`, `avgProcessorLoad`, `avgProcessLoad`, `videoDownloadBitrate`, `avaliableVideoBitrates`, `myIp`, `ispAS`, `sourceIpAndPort`, `timeIncrement`, `addedBy`) " +
				"VALUES (NULL, " +
				"'" + parameters[0] + "', " +
				"'" + parameters[1] + "', " +
				"'" + date + "', " +
				"'" + parameters[2] + "', " +
				"'" + parameters[3] + "', " +
				"'" + parameters[4] + "', " +
				"'" + parameters[5] + "', " +
				"'" + parameters[6] + "', " +
				"'" + parameters[7] + "', " +
				"'" + parameters[8] + "', " +
				"'" + parameters[9] + "', " +
				"'" + parameters[10] + "', " +
				"'" + parameters[11] + "', " +
				"'" + parameters[12] + "', " +
				"'" + parameters[13] + "', " +
				"'" + parameters[14] + "', " +
				"'" + parameters[15] + "', " +
				"'" + parameters[16] + "', " +
				"'BATCH')";
		
		return query;

	}


}
