﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Web.Media.SmoothStreaming;

namespace ReportingSilverlightApp2
{
    public partial class MainPage : UserControl
    {

        StatisticsProcess statisticsProcess;

        public MainPage()
        {
            InitializeComponent();
        }


        /*
         * BASIC CONTROLS FOR MEDIA PLAYER
         */

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Host.Content.IsFullScreen = !Application.Current.Host.Content.IsFullScreen;
        }

        private void PlayButton_Click(object sender, RoutedEventArgs e)
        {
            SmoothPlayer.Play();
        }

        private void StopButton_Click(object sender, RoutedEventArgs e)
        {
            SmoothPlayer.Stop();
        }

        private void PauseButton_Click(object sender, RoutedEventArgs e)
        {
            SmoothPlayer.Pause();
        }

        private void SmoothPlayer_MediaOpened(object sender, RoutedEventArgs e)
        {
            statisticsProcess = new StatisticsProcess(this, SmoothPlayer, infoBlock);
        }

    }
}
